synapse-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Asankha C. Perera" <asan...@apache.org>
Subject Re: Consider upgrading the BSF version before Synapse 1.3 release
Date Thu, 05 Mar 2009 16:55:01 GMT

> There is a bug in JRuby 1.0.3 [1] (which is used in Synapse) which 
> causes threading issues when REXML is used.
I was updating all dependencies to later versions and saw some 
concurrency issue, and thus reverted back :)
> This has been fixed in the 1.1.2 release though. But unfortunately 
> that release of JRuby is not compatible with BSF 3.0-beta2 (which is 
> the latest release. I sent a mail regarding this to the BSF list [2] 
> and Ant mentioned that he could give a release around mid March.
>
> I suggest that you upgrade to that BSF release and your JRuby version 
> once thats done. Just wanted to keep you guys informed.
Sure, and Thanks Keith & Ant for helping on this one

cheers
asankha

-- 
Asankha C. Perera
AdroitLogic, http://adroitlogic.org

http://esbmagic.blogspot.com





---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@synapse.apache.org
For additional commands, e-mail: dev-help@synapse.apache.org


Mime
View raw message